# Uses of Interface
org.eclipse.microprofile.openapi.models.headers.Header

Packages that use Header
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3.1 documents from their Jakarta REST applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.headers
An interface of a programmable model to represent a single header object.
org.eclipse.microprofile.openapi.models.media
A set of interfaces for programmable models to represent input and output data types and media types.
org.eclipse.microprofile.openapi.models.responses
Model interfaces to describe a single response from an API operation, and an annotation to encapsulate multiple responses from an API operation.

## Uses of Header in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return Header
Modifier and Type
Method
Description
`static Header`
OASFactory.`createHeader()`
This method creates a new `Header` instance.
`default Header`
OASFilter.`filterHeader(Header header)`
Allows filtering of a particular Header.
Methods in org.eclipse.microprofile.openapi with parameters of type Header
Modifier and Type
Method
Description
`default Header`
OASFilter.`filterHeader(Header header)`
Allows filtering of a particular Header.

## Uses of Header in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type Header
Modifier and Type
Method
Description
`Map<String,Header>`
Components.`getHeaders()`
Returns the headers property from a Components instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type Header
Modifier and Type
Method
Description
`Components`
Components.`addHeader(String key, Header header)`
Adds the given header to this Components' map of headers with the given string as its key.
Method parameters in org.eclipse.microprofile.openapi.models with type arguments of type Header
Modifier and Type
Method
Description
`default Components`
Components.`headers(Map<String,Header> headers)`
Sets this Components' headers property to the given Map containing keys and reusable header objects.
`void`
Components.`setHeaders(Map<String,Header> headers)`
Sets this Components' headers property to the given Map containing keys and reusable header objects.

## Uses of Header in org.eclipse.microprofile.openapi.models.headers

Methods in org.eclipse.microprofile.openapi.models.headers that return Header
Modifier and Type
Method
Description
`Header`
Header.`addExample(String key, Example example)`
Adds an example of the header using the specified key to this Header instance.
`default Header`
Header.`allowEmptyValue(Boolean allowEmptyValue)`
Deprecated, for removal: This API element is subject to removal in a future version.
The OpenAPI specification states that `allowEmptyValue` is only valid for `query` parameters.
`default Header`
Header.`content(Content content)`
Sets this Header's content property to the given object.
`default Header`
Header.`deprecated(Boolean deprecated)`
Sets this Header's deprecated property to the given value.
`default Header`
Header.`description(String description)`
Sets this Header's description property to the given string.
`default Header`
Header.`example(Object example)`
Sets this Header's example property to the given object.
`default Header`
Header.`examples(Map<String,Example> examples)`
Sets the examples property of this Header instance to the given map.
`default Header`
Header.`explode(Boolean explode)`
Sets this Header's explode property to the given value.
`default Header`
Header.`required(Boolean required)`
Sets this Header's required property to the given value.
`default Header`
Header.`schema(Schema schema)`
Sets this Header's schema property to the given object.
`default Header`
Header.`style(Header.Style style)`
Sets this Header's style property to the given style.

## Uses of Header in org.eclipse.microprofile.openapi.models.media

Methods in org.eclipse.microprofile.openapi.models.media that return types with arguments of type Header
Modifier and Type
Method
Description
`Map<String,Header>`
Encoding.`getHeaders()`
Headers property of an Encoding is a map that allows additional information to be provided as headers
Methods in org.eclipse.microprofile.openapi.models.media with parameters of type Header
Modifier and Type
Method
Description
`Encoding`
Encoding.`addHeader(String key, Header header)`
Adds the given header to this Encoding' list of headers with the given string as its key.
Method parameters in org.eclipse.microprofile.openapi.models.media with type arguments of type Header
Modifier and Type
Method
Description
`default Encoding`
Encoding.`headers(Map<String,Header> headers)`
Headers property of an Encoding is a map that allows additional information to be provided as headers
`void`
Encoding.`setHeaders(Map<String,Header> headers)`
Headers property of an Encoding is a map that allows additional information to be provided as headers

## Uses of Header in org.eclipse.microprofile.openapi.models.responses

Methods in org.eclipse.microprofile.openapi.models.responses that return types with arguments of type Header
Modifier and Type
Method
Description
`Map<String,Header>`
APIResponse.`getHeaders()`
Returns the map of Headers in this instance of ApiResponse.
Methods in org.eclipse.microprofile.openapi.models.responses with parameters of type Header
Modifier and Type
Method
Description
`APIResponse`
APIResponse.`addHeader(String name, Header header)`
Adds the given Header to this ApiResponse instance's map of Headers with the given name and return this instance of ApiResponse.
Method parameters in org.eclipse.microprofile.openapi.models.responses with type arguments of type Header
Modifier and Type
Method
Description
`default APIResponse`
APIResponse.`headers(Map<String,Header> headers)`
Sets the Headers for this instance of ApiResponse with the given map of Headers and returns this instance of ApiResponse.
`void`
APIResponse.`setHeaders(Map<String,Header> headers)`
Sets the Headers for this instance of ApiResponse with the given map of Headers.